# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/1/3
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.shengshengyingyin import Recommend


class Main:
    @classmethod
    def main(cls, log_type, crawler, oss_endpoint, env):
        """
        主函数
        :param log_type: 日志命名
        :param crawler: 哪款爬虫
        :param oss_endpoint: OSS 走内网，使用"inner"; OSS走外网，使用"out"
        :param env: 爬虫运行环境，正式环境使用"pord"； 测试环境使用"dev"
        :return: None
        """
        while True:
            Common.logger(log_type).info('开始抓取"胜胜影音"\n')
            Recommend.get_feeds(log_type, crawler, oss_endpoint, env)
            Common.del_logs(log_type)
            Common.logger(log_type).info('休眠 1 小时\n')
            time.sleep(3600)


if __name__ == '__main__':
    # 102服务器 正式环境
    Main.main('recommend', 'ssyy', 'inner', 'prod')
